/* Glossary Sidebar */

	#sidebar_glossary {
		@include padding(2em, 2em);
		background: _palette(accent5);
		cursor: default;
		height: 100vh;
		width: 100vh;
		left: 0;
		overflow-x: hidden;
		overflow-y: auto;
		scrollbar-width: thin;
		position: fixed;
		text-align: left;
		top: 0;
		width: _size(sidebar-glossary-width);
		z-index: _misc(z-index-base);

		> .inner {
			@include vendor('display', 'flex');
			@include vendor('flex-direction', 'column');
			@include vendor('justify-content', 'center');
			@include vendor('transform', 'translateY(0)');
			@include vendor('transition', (
				'opacity #{_duration(activation)} ease',
			));
			min-height: 100%;
			opacity: 1;
			width: 100%;

			body.is-ie & {
				height: 100%;
			}
		}

		nav {
			> ul {
				list-style: none;
				padding: 0;

				> li {
					@include vendor('transform', 'translateY(0)');
					@include vendor('transition', (
						'opacity #{_duration(activation) * 0.15} ease',
						'transform #{_duration(activation) * 0.50} ease'
					));
					margin: .5em 0 0 0;
					opacity: 1;
					padding: 0;
					position: relative;

					&:first-child {
						margin-top: 5em;;
					}

					@for $i from 1 through _misc(max-sidebar-links) {
						&:nth-child(#{$i}) {
							@include vendor('transition-delay', '#{(_duration(activation) * 0.2 * $i) + (_duration(activation) * 0.25)}');
						}
					}
				}
			}

			a {
				@include vendor('transition', 'color #{_duration(transition)} ease');
				border: 0;
				border-radius: 0.5em;
				color: _palette(fg-light);
				display: block;
				font-size: 1.5em;
				font-weight: _font(weight);
				letter-spacing: _font(kerning-alt);
				line-height: .1;
				outline: 0;
				padding: 1em 0 .75em 0;
				position: relative;
				text-decoration: none;
				width: 100%;

				// &:before,
				// &:after {
				// 	border-radius: 0.2em;
				// 	bottom: 0;
				// 	content: '';
				// 	height: 0.2em;
				// 	position: absolute;
				// 	left: 0;
				// 	width: 100%;
				// }

				// &:before {
				// 	background: lighten(_palette(bg), 5);
				// }

				// &:after {
				// 	@include vendor('background-image', 'linear-gradient(to right, #{_palette(accent4)}, #{_palette(accent5)})');
				// 	@include vendor('transition', 'max-width #{_duration(transition)} ease');
				// 	max-width: 0;
				// }

				&:hover {
					color: _palette(fg);
				}

				&.active {
					color: _palette(fg-bold);
					width: 100%;
					font-weight: _font(weight-bold);
					font-size: 2em;

					&:after {
						max-width: 100%;
					}
				}
			}
		}

		body.is-loading & {
			> .inner {
				opacity: 0;
			}

			nav {
				ul {
					li {
						@include vendor('transform', 'translateY(2em)');
						opacity: 0;
					}
				}
			}
		}

		@include breakpoint(large) {
			// height: _size(sidebar-height);
			// left: 0;
			// line-height: _size(sidebar-height);
			// overflow: hidden;
			// padding: 0;
			// text-align: center;
			// top: 0;
			// width: 100%;
			// left: 0;

			// > .inner {
			// 	@include vendor('flex-direction', 'row');
			// 	@include vendor('align-items', 'stretch');
			// 	height: inherit;
			// 	line-height: inherit;
			// 	padding-left: 2em;
			}

		// 	nav {
		// 		height: inherit;
				// line-height: inherit;

		// 		ul {
		// 			@include vendor('display', 'flex');
		// 			height: inherit;
		// 			line-height: inherit;
		// 			margin: 0;

		// 			li {
		// 				display: block;
		// 				height: inherit;
		// 				line-height: inherit;
		// 				margin: 0 0 0 2em;
		// 				padding: 0;
		// 			}
		// 		}

		// 		a {
		// 			height: inherit;
		// 			line-height: inherit;
		// 			padding: 0;

		// 			&:after {
		// 				background-image: none;
		// 				background-color: _palette(accent3);
		// 			}
		// 		}
		// 	}
		// }

		@include breakpoint(small) {
			display: none;
		}
	}